std::enable_if< bool, _Tp > Struct Template Reference
Utilities » Metaprogramming

`#include <type_traits>`

## Detailed Description

template<bool, typename _Tp = void>
struct std::enable_if< bool, _Tp >

Define a member typedef `type` only if a boolean constant is true.

Definition at line 106 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits